const express = require('express');
const router = express.Router();
const pool = require('../db'); // Importă conexiunea la baza de date
const authenticateToken = require('../middleware/auth'); // Middleware de autentificare

// Endpoint pentru a obține toate înregistrările din tabelul delegat și tabelul masini separat
router.get('/',  async (req, res) => {
    try {
        // Interogare pentru toate înregistrările din tabelul delegat
        const [delegati] = await pool.promise().query('SELECT nume_delegat, serie_ci, numar_ci FROM delegat');

        // Interogare pentru toate înregistrările din tabelul masini
        const [masini] = await pool.promise().query('SELECT nr_masina FROM masini');

        // Returnăm rezultatele ca două obiecte separate
        res.json({
            delegati: delegati,
            masini: masini
        });
        
    } catch (error) {
        console.error('Eroare la interogarea bazei de date:', error);
        res.status(500).json({ error: 'Eroare la interogarea bazei de date' });
    }
});
router.get('/total-rest-plata', async (req, res) => { 
    try {
        console.log('Endpoint /total-rest-plata apelat'); // ✅ Testare
        const [sumResult] = await pool.promise().query('SELECT SUM(rest_plata) as totalPlataFurnizori FROM receptii');
        const totalPlataFurnizori = sumResult[0].totalPlataFurnizori || 0;

        res.json({ totalPlataFurnizori });
    } catch (error) {
        console.error('Eroare la calcularea sumei:', error);
        res.status(500).json({ error: 'Eroare la server' });
    }
});



module.exports = router;
